
Redmine - Patch #31555

Use Redmine::Database.mysql? instead of a regular expression

2019-06-11 21:45 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

this patch replaces

ActiveRecord::Base.connection.adapter_name =~ /mysql/i

with

Redmine::Database.mysql?

Associated revisions

Revision 18256 - 2019-06-13 09:50 - Go MAEDA

Use Redmine::Database.mysql? instead of a regular expression (#31555).

Patch by Pavel Rosický.

History

#1 - 2019-06-12 07:38 - Marius BĂLTEANU

- Target version set to Candidate for next major release

#2 - 2019-06-13 09:03 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#3 - 2019-06-13 09:50 - Go MAEDA

- Subject changed from use database helpers to Use Redmine::Database.mysql? instead of a regular expression

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

Files

mysqlhelper.patch 4.12 KB 2019-06-11 Pavel Rosický
